Bug 986609 - [abrt] general protection fault: 0000 [#1] SMP
[abrt] general protection fault: 0000 [#1] SMP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:b3d1d9d4d489876305938f9873a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 19:27 EDT by Shahram Roohani
Modified: 2015-02-17 11:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:16:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (74.37 KB, text/plain)
2013-07-20 19:28 EDT, Shahram Roohani
no flags Details

  None (edit)
Description Shahram Roohani 2013-07-20 19:27:49 EDT
Description of problem:
I upgraded from FC18 to FC19 using fedup, then after having some difficulties updating my FC19 during the last week, due to a conflict between thermostat packages from FC18 and FC19, manually uninstalled the FC18 version using yum and retried update. The conflict was gone, but the problem remained. Now, the problem was (and even after resolving the conflict is) that trying to edit some Java code in ADT-enabled eclipse, leads to a silent eclipse crash and I don't know why.

Additional info:
reporter:       libreport-2.1.5
general protection fault: 0000 [#1] SMP 
Modules linked in: rfcomm btusb usb_storage nls_utf8 udf isofs nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat bnep iptable_mangle bluetooth rfkill nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables fuse ppdev snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore 3c59x powernow_k8 kvm_amd kvm edac_core k8temp parport_pc edac_mce_amd parport mii forcedeth i2c_nforce2 uinput binfmt_misc nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm ata_generic pata_acpi i2c_core firewire_ohci firewire_core pata_amd crc_itu_t sata_nv
CPU 1 
Pid: 421, comm: Xorg Not tainted 3.9.9-301.fc19.x86_64 #1    /GA-M55SLI-S4
RIP: 0010:[<ffffffffa00b833a>]  [<ffffffffa00b833a>] ttm_put_pages+0x15a/0x1a0 [ttm]
RSP: 0018:ffff880036cf9a60  EFLAGS: 00010282
RAX: 0000000000000001 RBX: ffffc90014460040 RCX: 0000000000000002
RDX: 0000000000000040 RSI: 0000000000000001 RDI: ffdfea0000830c80
RBP: ffff880036cf9a88 R08: ffffea0002b39aa0 R09: ffff8800bffdafa0
R10: 000000000000009c R11: ffffea00025b9640 R12: ffffc90014460048
R13: 0000000000001040 R14: ffff880036e86000 R15: 0000000000001040
FS:  00007f15b888c980(0000) GS:ffff8800bfb00000(0000) knlGS:00000000f741d6c0
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f8b952124f8 CR3: 00000000b2e70000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 421, threadinfo ffff880036cf8000, task ffff8800b95c0000)
Stack:
 ffff8800233f6200 0000000000000208 0000000000001040 ffff880036e86000
 0000000000001040 ffff880036cf9ab0 ffffffffa00b83d9 ffff8800233f6200
 0000000000000008 00000000fffffff2 ffff880036cf9af0 ffffffffa014c7ce
Call Trace:
 [<ffffffffa00b83d9>] ttm_pool_unpopulate+0x59/0x80 [ttm]
 [<ffffffffa014c7ce>] nouveau_ttm_tt_populate+0x24e/0x260 [nouveau]
 [<ffffffffa00b0c8e>] ttm_tt_bind+0x3e/0x70 [ttm]
 [<ffffffffa00b2fcf>] ttm_bo_handle_move_mem+0x54f/0x5e0 [ttm]
 [<ffffffffa00b3691>] ? ttm_bo_mem_space+0x171/0x350 [ttm]
 [<ffffffffa00b3e27>] ttm_bo_move_buffer+0x117/0x140 [ttm]
 [<ffffffffa00b3eea>] ttm_bo_validate+0x9a/0x110 [ttm]
 [<ffffffffa00b425a>] ttm_bo_init+0x2fa/0x3b0 [ttm]
 [<ffffffffa014d19d>] nouveau_bo_new+0x1dd/0x2c0 [nouveau]
 [<ffffffffa014bdb0>] ? nv10_bo_put_tile_region+0x60/0x60 [nouveau]
 [<ffffffffa014f6ad>] nouveau_gem_new+0x5d/0x130 [nouveau]
 [<ffffffffa005eed6>] ? drm_gem_handle_create+0x86/0xd0 [drm]
 [<ffffffffa014f825>] nouveau_gem_ioctl_new+0xa5/0x1b0 [nouveau]
 [<ffffffffa005d2c9>] drm_ioctl+0x4e9/0x5b0 [drm]
 [<ffffffffa014f780>] ? nouveau_gem_new+0x130/0x130 [nouveau]
 [<ffffffff811ab495>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8129495e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff811ab731>] sys_ioctl+0x81/0xa0
 [<ffffffff8164f319>] system_call_fastpath+0x16/0x1b
Code: 22 48 89 f8 8b 40 1c 83 f8 01 75 4c 31 f6 e8 be f9 07 e1 48 c7 03 00 00 00 00 48 83 c3 08 4c 39 e3 74 93 48 8b 3b 48 85 ff 74 ef <48> 8b 07 f6 c4 80 74 ce 48 8b 47 30 eb cb 48 c7 c7 38 bd 0b a0 
RIP  [<ffffffffa00b833a>] ttm_put_pages+0x15a/0x1a0 [ttm]
 RSP <ffff880036cf9a60>
Comment 1 Shahram Roohani 2013-07-20 19:28:01 EDT
Created attachment 776327 [details]
File: dmesg
Comment 2 Fedora End Of Life 2015-01-09 14:01:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:16:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.